# FAQs

### Does Bloqs support ExpressionEngine's conditional fields?

No it does not, and probably never will. You can already create multiple bloqs with different atom/field variations, so adding conditionals fields into a bloq further complicates things (UI and code wise) for little gain. If ExpressionEngine does gain the ability to use conditional fields in complex custom field types we'll reevaluate the possibility.

### Does Bloqs work with ExpressionEngine's database Find and Replace feature?

No it does not, but you can use the following queries as a guide to perform a find and replace on any Bloqs data.

```sql
# Replace content across all Bloqs content
UPDATE exp_blocks_atom SET `data`=(replace(`data`, 'old_value','new_value'));

# Replace content in a specific Atom
UPDATE exp_blocks_atom SET `data`=(replace (`data`, 'old_value','new_value')) where atomdefinition_id = "##";
```

### I added a new atom to a bloq but existing entries don't reflect the change.

If you have entries using a bloq, then you update the atoms in that bloq, the existing instances of that bloq in entries might not reflect the addition or removal of the atom. This is easily fixed. Save the entry again (you don't need to make any changes to it, just click Save), and when the entry reloads it should display the modifications to the bloq that you made changes to.

### Does Bloqs work with Fluid?

No, Bloqs and Fluid are similar in their capabilities, but a Bloqs field can not be placed inside of a Fluid field.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boldminded.com/bloqs/faqs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
